Latest PPC Iphone SDK

Discussion in 'iPhone/iPad Programming' started by adcx64, May 11, 2011.

  1. macrumors 65816

    adcx64

    Joined:
    Nov 17, 2008
    Location:
    Cudi Zone
    #1
    HI,
    I've been searching on google for about an hour now and I cant seem to find the latest iphone sdk that runs on ppc? where can i download it?

    thanks for the help!

    Regards.
     
  2. Moderator

    dejo

    Staff Member

    Joined:
    Sep 2, 2004
    Location:
    The Centennial State
    #2
    There has never been an iPhone SDK that runs on PPC. It has always required a Intel-based Mac.
     
  3. macrumors 603

    Joined:
    Jul 29, 2003
    Location:
    Silicon Valley
    #3
    False and True.

    Some of the old 2.x SDK's "required" an Intel Mac... BUT were built by Apple as Universal binaries, and thus actually ran on newer PPC Macs running Leopard (after playing some tricks with the installer to ignore the "requirements").

    Since the first SDK was released for 10.6 Snow Leopard, this is no longer true. And Apple no longer accepts apps built with the 2.x SDK, so a PPC is pretty much useless for current iOS development, except for a really old non-upgraded 2nd gen iPod Touch or something.
     

Share This Page